Bug 109301 - [PATCH] audio/libmtp
Summary: [PATCH] audio/libmtp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-19 01:10 UTC by Herbert J. Skuhra
Modified: 2007-03-05 02:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.54 KB, patch)
2007-02-19 01:10 UTC, Herbert J. Skuhra
no flags Details | Diff
patch-examples-common.h (346 bytes, application/octet-stream)
2007-02-19 07:16 UTC, pesho.petrov
no flags Details
patch-examples-sendfile.c (293 bytes, application/octet-stream)
2007-02-19 07:16 UTC, pesho.petrov
no flags Details
patch-examples-sendtr.c (291 bytes, application/octet-stream)
2007-02-19 07:16 UTC, pesho.petrov
no flags Details
pkg-plist.patch (594 bytes, patch)
2007-02-19 07:16 UTC, pesho.petrov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2007-02-19 01:10:03 UTC
The below patch updates audio/libmtp to version 0.1.3.

It's also available from:
http://norway.ath.cx/freebsd/libmtp_0_1_3.diff

A patch for amarok to depend on libmtp-0.1.3 is here:
http://norway.ath.cx/freebsd/amarok_mtp.diff
Comment 1 Edwin Groothuis freebsd_committer 2007-02-19 01:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Cheng-Lung Sung freebsd_committer 2007-02-19 02:23:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 3 pesho.petrov 2007-02-19 09:07:05 UTC
These patches can also be found here:
http://debian.fmi.uni-sofia.bg/~sinn/patches/

On 2/19/07, Petar Petrov <pesho.petrov@gmail.com> wrote:
>
>
> Thanks for the patch!
>
> There is a problem building libmtp 0.1.3 when there is libmtp already
> installed on the system. The sources in examples/ in that case use the
> installed libmtp.h rather then the new one.
>
> To fix this problem, the attached patches should be added in files/:
>
> Also the patch for pkg-plist doesn't look correct (at least the
> include/libmtp.h was surely not removed in the new version). See the
> attached pkg-plist.patch.
>
>
> On Mon, 19 Feb 2007 01:10:07 UT, Edwin Groothuis <edwin@freebsd.org>
> wrote:
> >
> > Maintainer of audio/libmtp,
> >
> > Please note that PR ports/109301 has just been submitted.
> >
> > If it contains a patch for an upgrade, an enhancement or a bug fix
> > you agree on, reply to this email stating that you approve the patch
> > and a committer will take care of it.
> >
> > The full text of the PR can be found at:
> >     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/109301
> >
> > --
> > Edwin Groothuis
> > edwin@FreeBSD.org
> >
>
>
>
Comment 4 dfilter service freebsd_committer 2007-03-05 01:59:10 UTC
clsung      2007-03-05 01:59:05 UTC

  FreeBSD ports repository

  Modified files:
    audio/libmtp         Makefile distinfo pkg-plist 
  Added files:
    audio/libmtp/files   patch-examples-common.h 
                         patch-examples-sendfile.c 
                         patch-examples-sendtr.c 
  Log:
  - Update to 0.1.3
  
  PR:             ports/109301
  Submitted by:   Herbert J. Skuhra <h dot skuhra@gmail.com>
  Reviewed by:    maintainer (Petar Petrov)
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.2       +1 -1      ports/audio/libmtp/Makefile
  1.2       +3 -3      ports/audio/libmtp/distinfo
  1.1       +11 -0     ports/audio/libmtp/files/patch-examples-common.h (new)
  1.1       +11 -0     ports/audio/libmtp/files/patch-examples-sendfile.c (new)
  1.1       +11 -0     ports/audio/libmtp/files/patch-examples-sendtr.c (new)
  1.2       +7 -1      ports/audio/libmtp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2007-03-05 01:59:57 UTC
clsung      2007-03-05 01:59:54 UTC

  FreeBSD ports repository

  Modified files:
    audio/amarok         Makefile 
  Log:
  - to reflect update to libmtp
  - bump PORTREVISION
  
  PR:             ports/109301
  Submitted by:   Herbert J. Skuhra <h dot skuhra@gmail.com>
  
  Revision  Changes    Path
  1.66      +2 -2      ports/audio/amarok/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Cheng-Lung Sung freebsd_committer 2007-03-05 02:00:19 UTC
State Changed
From-To: feedback->closed

Committed. Thank You.